#ifdef GL_ES
#define LOWP lowp
precision mediump float;
#else
#define LOWP
#endif

uniform sampler2D u_texture;
varying LOWP vec4 v_color;
varying vec2 v_texCoords;
uniform vec2 v_offset;
uniform vec2 v_mask_offset;
uniform vec2 v_scale;
uniform sampler2D u_mask;
void main(void) {
	 vec2 v_res = v_texCoords * v_scale + v_offset;
	 vec2 v_res_offset = v_res + v_mask_offset;
	 LOWP vec4 texColor0 = texture2D(u_mask, v_res);
	 LOWP vec4 texColor1 = texture2D(u_texture, v_texCoords);
	 LOWP vec4 texColor2 = texture2D(u_mask, v_res_offset);
	 if(texColor0.a == 0.0 || v_res_offset.y > 1.0){
	 	texColor2.a = 0.0;
	 }

	 if(texColor2.a == 0.0 || v_res.x < 0.0 || v_res.x > 1.0 || v_res.y < 0.0 || v_res.y > 1.0){
	 	texColor1.a = 0.0;
	 }
	 gl_FragColor = v_color * texColor1;
}

