#ifdef GL_ES
#define LOWP lowp
precision mediump float;
#else
#define LOWP
#endif

uniform sampler2D u_texture;
varying LOWP vec4 v_color;
varying vec2 v_texCoords;
uniform vec2 v_offset;
void main(void) {
	vec2 v_res = v_texCoords + v_offset;
	LOWP vec4 texColor0 = texture2D(u_texture, v_res);
	LOWP vec4 texColor1 = texture2D(u_texture, v_texCoords);

	if(texColor1.a == 0.0 || v_res.y > 1.0){
		texColor0.a = 0.0;
	}

	gl_FragColor = v_color * texColor0;
}

